unit About;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, ShellAPI;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    lbContacts: TLabel;
    Label2: TLabel;
    ProductName: TLabel;
    lbContact2: TLabel;
    procedure OKButtonClick(Sender: TObject);
    procedure SiteLabelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.dfm}

procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
  AboutBox.Close;
end;

procedure TAboutBox.SiteLabelClick(Sender: TObject);
begin
  ShellExecute(handle,nil,'http://aloys.narod.ru/demagog.htm',nil,nil,SW_RESTORE);
end;

end.
 
